package com.yihu.hos.resource.dao;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.web.framework.model.DataGridResult;
import com.yihu.hos.resource.model.RsResource;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweida on 2016/1/13.
 */
public interface IRsResourceDao extends XSQLGeneralDAO {
    DataGridResult getResourceList(Map<String, Object> conditionMap, Integer page, Integer rows) throws Exception;

    DataGridResult getResourceFiled(Map<String, Object> conditionMap, Integer page, Integer rows) throws Exception;

    int getResourceListCount(Map<String, Object> conditionMap) throws Exception;

    List<RsResource> getAllRsResource() throws Exception;

    RsResource getResourceById(String id) throws Exception;

    /**
     * 通过分类获取资源
     */
    List<RsResource> getAllRsResourceByCategory(String category) throws Exception;
}
